Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.validate
Class ImmutableSchemata

    java.lang.Object
      org.modeshape.graph.query.validate.ImmutableSchemata

All Implemented Interfaces:
  Schemata

    @Immutable
    public class ImmutableSchemata

extends Object
implements Schemata

An immutable `Schemata` implementation.

Nested Class Summary
`static class` | `ImmutableSchemata.Builder` A builder of immutable `Schemata` objects.
`protected static class` | `ImmutableSchemata.MutableTable`

Nested classes/interfaces inherited from interface org.modeshape.graph.query.validate.Schemata
`Schemata.Column, Schemata.Key, Schemata.Table, Schemata.View`

Constructor Summary
`protected` | `ImmutableSchemata(Map<SelectorName,Schemata.Table> tables)`

Method Summary
`static ImmutableSchemata.Builder` | `createBuilder(ExecutionContext context, TypeSystem typeSystem)` Obtain a new instance for building Schemata objects.
`Schemata.Table` | `getTable(SelectorName name)` Get the information for the table or view with the supplied name within this schema.
`String` | `toString()`
`ImmutableSchemata` | `with(Schemata.Table table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImmutableSchemata

    protected ImmutableSchemata(Map<SelectorName,Schemata.Table> tables)

Method Detail

### createBuilder

    public static ImmutableSchemata.Builder createBuilder(ExecutionContext context,
                                                          TypeSystem typeSystem)

  Obtain a new instance for building Schemata objects.

  Parameters:
    `context` - the execution context
    `typeSystem` - the type system that this schemata should use
  Returns:
    the new builder; never null
  Throws:
    `IllegalArgumentException` - if the context is null

### getTable

    public Schemata.Table getTable(SelectorName name)

  Get the information for the table or view with the supplied name within this schema.

  The resulting definition is immutable.

  Specified by:
    `getTable` in interface `Schemata`
  Parameters:
    `name` - the table or view name; may not be null
  Returns:
    the table or view information, or null if there is no such table
  See Also:
    `Schemata.getTable(org.modeshape.graph.query.model.SelectorName)`

### with

    public ImmutableSchemata with(Schemata.Table table)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.